=== modified file 'Makefile'
--- Makefile	2010-10-02 17:23:41 +0000
+++ Makefile	2010-10-11 17:45:21 +0000
@@ -23,7 +23,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.2.1
+version=1.2.3
 SED=sed
 
 ## Use these settings for a traditional /usr/local install

=== modified file 'NEWS'
--- NEWS	2010-10-02 17:23:41 +0000
+++ NEWS	2010-10-11 17:45:21 +0000
@@ -1,6 +1,14 @@
 This NEWS file records noteworthy changes, very tersely.
 See the manual for detailed information.
 
+Version 1.2.3 (2010-10-11)
+* Server:
+** Bug fix: Expose D-Bus API also in non-debug mode.
+
+Version 1.2.2 (2010-10-07)
+* Client:
+** splashy: Minor fix to compile with non-Linux kernels.
+
 Version 1.2.1 (2010-10-02)
 * Server:
 ** mandos-monitor(8): Documentation bug fix: Key for removing client

=== modified file 'common.ent'
--- common.ent	2010-10-02 17:23:41 +0000
+++ common.ent	2010-10-11 17:45:21 +0000
@@ -1,3 +1,3 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!-- Edited by Makefile -->
-<!ENTITY version "1.2.1">
+<!ENTITY version "1.2.3">

=== modified file 'debian/changelog'
--- debian/changelog	2010-10-05 19:03:43 +0000
+++ debian/changelog	2010-10-11 17:45:21 +0000
@@ -1,3 +1,16 @@
+mandos (1.2.3-1) experimental; urgency=low
+
+  * New upstream release.
+
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Mon, 11 Oct 2010 19:37:31 +0200
+
+mandos (1.2.2-1) experimental; urgency=low
+
+  * New upstream release.
+  * plugins.d/splashy.c: Only use ELIBBAD if defined. (Closes: #599256)
+
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Thu, 07 Oct 2010 20:27:54 +0200
+
 mandos (1.2.1-3) experimental; urgency=low
 
   * debian/changelog: Include entry for NMU of version 1.0.14-1.1.

=== modified file 'debian/mandos-client.lintian-overrides'
--- debian/mandos-client.lintian-overrides	2009-01-18 06:41:57 +0000
+++ debian/mandos-client.lintian-overrides	2010-10-13 06:12:52 +0000
@@ -19,6 +19,7 @@
 mandos-client binary: setuid-binary usr/lib/mandos/plugins.d/askpass-fifo 4755 root/root
 mandos-client binary: setuid-binary usr/lib/mandos/plugins.d/splashy 4755 root/root
 mandos-client binary: setuid-binary usr/lib/mandos/plugins.d/usplash 4755 root/root
+mandos-client binary: setuid-binary usr/lib/mandos/plugins.d/plymouth 4755 root/root
 
 # The directory /etc/mandos/plugins.d can be used by local system
 # administrators to place plugins in, overriding and complementing

=== modified file 'mandos'
--- mandos	2010-10-02 17:23:41 +0000
+++ mandos	2010-10-11 17:45:21 +0000
@@ -81,7 +81,7 @@
         SO_BINDTODEVICE = None
 
 
-version = "1.2.1"
+version = "1.2.3"
 
 #logger = logging.getLogger(u'mandos')
 logger = logging.Logger(u'mandos')
@@ -1847,6 +1847,10 @@
         # No console logging
         logger.removeHandler(console)
     
+    # Need to fork before connecting to D-Bus
+    if not debug:
+        # Close all input and output, do double fork, etc.
+        daemon()
     
     global main_loop
     # From the Avahi example code
@@ -1870,11 +1874,7 @@
     if server_settings["interface"]:
         service.interface = (if_nametoindex
                              (str(server_settings[u"interface"])))
-
-    if not debug:
-        # Close all input and output, do double fork, etc.
-        daemon()
-        
+    
     global multiprocessing_manager
     multiprocessing_manager = multiprocessing.Manager()
     

=== modified file 'mandos-ctl'
--- mandos-ctl	2010-10-02 17:23:41 +0000
+++ mandos-ctl	2010-10-11 17:45:21 +0000
@@ -57,7 +57,7 @@
 server_path = '/'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
-version = "1.2.1"
+version = "1.2.3"
 
 def timedelta_to_milliseconds(td):
     "Convert a datetime.timedelta object to milliseconds"

=== modified file 'mandos-keygen'
--- mandos-keygen	2010-10-02 17:23:41 +0000
+++ mandos-keygen	2010-10-11 17:45:21 +0000
@@ -21,7 +21,7 @@
 # Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
-VERSION="1.2.1"
+VERSION="1.2.3"
 
 KEYDIR="/etc/keys/mandos"
 KEYTYPE=DSA

=== modified file 'mandos-monitor'
--- mandos-monitor	2010-10-02 17:23:41 +0000
+++ mandos-monitor	2010-10-11 17:45:21 +0000
@@ -51,7 +51,7 @@
 domain = 'se.bsnet.fukt'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
-version = "1.2.1"
+version = "1.2.3"
 
 # Always run in monochrome mode
 urwid.curses_display.curses.has_colors = lambda : False

=== modified file 'mandos.lsm'
--- mandos.lsm	2010-10-02 17:23:41 +0000
+++ mandos.lsm	2010-10-11 17:45:21 +0000
@@ -1,7 +1,7 @@
 Begin4
 Title:		Mandos
-Version:	1.2.1
-Entered-date:	2010-10-02
+Version:	1.2.3
+Entered-date:	2010-10-11
 Description:	The Mandos system allows computers to have encrypted
 root file systems and at the same time be capable of remote and/or
 unattended reboots.
@@ -12,9 +12,9 @@
 Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
 		belorn@fukt.bsnet.se (Björn Påhlsson)
 Primary-site: http://www.fukt.bsnet.se/mandos
-	      130K mandos_1.2.1.orig.tar.gz
+	      133K mandos_1.2.3.orig.tar.gz
 Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
-		130K mandos_1.2.1.orig.tar.gz
+		133K mandos_1.2.3.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.5, and
 various other libraries.  While made for Debian GNU/Linux, it is
 probably portable to other distributions, but not other Unixes.

=== modified file 'plugins.d/splashy.c'
--- plugins.d/splashy.c	2010-09-26 18:32:58 +0000
+++ plugins.d/splashy.c	2010-10-07 17:46:56 +0000
@@ -314,7 +314,9 @@
       case ENOTDIR:
       case ELOOP:
       case EISDIR:
-      case ELIBBAD:
+#ifdef ELIBBAD
+      case ELIBBAD:		/* Linux only */
+#endif
       case EPERM:
 	_exit(EX_OSFILE);
       }

